//
//  INIntrocudeController.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import Foundation
import BFUIKit
import Photos
import BFRecordScreenKit
import BFCommonKit

class INIntrocudeController: BFBaseViewController {
    
    let exportBtn = UIButton()
    var assets:[PHAsset]? {
        didSet{
            if let ass = assets {
                recordScreenVC.assets = ass
            }
        }
    }
    
    let recordScreenVC = BFRecordScreenController()
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        showNavigation()
        
        PQNotification.addObserver(self, selector: #selector(self.keyboardWillShow(_:)), name: UIResponder.keyboardWillShowNotification, object: nil)
        PQNotification.addObserver(self, selector: #selector(self.keyboardWillHide(_:)), name: UIResponder.keyboardWillHideNotification, object: nil)
    }
    
    
    override func viewWillDisappear(_ animated: Bool) {
        super.viewWillDisappear(animated)
        PQNotification.removeObserver(self)
    }
    
   
    
    @objc internal func keyboardWillHide(_ notification: Notification?) {

        navHeadImageView?.isHidden = false
    }
    
    @objc internal func keyboardWillShow(_ notification: Notification?) {
    
        navHeadImageView?.isHidden = true
    }

    override func viewDidLoad() {
        super.viewDidLoad()
        navHeadImageView?.backgroundColor = .clear
        leftButton(image: nil, imageName: nil, tintColor: .white)
        
     
        exportBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#28BE67")
        exportBtn.setTitle("导出", for: .normal)
        exportBtn.addCorner(corner:4)
        exportBtn.titleLabel?.font = UIFont.systemFont(ofSize: 16)
        exportBtn.addTarget(self, action: #selector(exportAction), for: .touchUpInside)
        navHeadImageView?.addSubview(exportBtn)
        exportBtn.snp.makeConstraints { make in
            make.right.equalTo(-12)
            make.width.equalTo(60)
            make.height.equalTo(36)
            make.centerY.equalTo(backButton!)
        }
        
        addChild(recordScreenVC)
        recordScreenVC.view.frame = self.view.frame
        view.addSubview(recordScreenVC.view)
    }
    
    
    override func backBtnClick() {
        recordScreenVC.backBtnClick()
        super.backBtnClick()
    }
    
    @objc func exportAction(){
        recordScreenVC.backBtnClick()

        let controller = INVideoExportController()
        controller.export.data = recordScreenVC.itemModels
        self.navigationController?.pushViewController(controller, animated: true)
    }
    
}
